com.threerings.stats.data

## Class IntStatIncrementer

- java.lang.Object
- - com.threerings.stats.data.StatModifier<IntStat>
  - - com.threerings.stats.data.IntStatIncrementer

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class IntStatIncrementer
    extends StatModifier<IntStat>

Increments a particular int stat by a specified amount.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`IntStatIncrementer()` Constructs an empty IntStatIncrementer (for Streaming purposes).
`IntStatIncrementer(Stat.Type type, int delta)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `modify(IntStat stat)` Applies the modification to the stat in question.

### Methods inherited from class com.threerings.stats.data.StatModifier

`getType, readObject, writeObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntStatIncrementer

    public IntStatIncrementer(Stat.Type type,
                              int delta)

#### IntStatIncrementer

    public IntStatIncrementer()

Constructs an empty IntStatIncrementer (for Streaming purposes).

### Method Detail

#### modify

    public void modify(IntStat stat)

Description copied from class: `StatModifier`
Applies the modification to the stat in question.

Specified by:
  `modify` in class `StatModifier<IntStat>`